//
//  IAExternalViewController.h
//  AirMusic
//
//  Created by Brendan G. Lim on 9/1/13.
//  Copyright (c) 2013 iOS in Action. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MediaPlayer/MediaPlayer.h>

@class IAExternalViewController;

@interface IAViewController : UIViewController <MPMediaPickerControllerDelegate>

- (IBAction)chooseMusic:(id)sender;
- (IBAction)playMusic:(id)sender;
- (IBAction)pauseMusic:(id)sender;

@property (weak, nonatomic) IBOutlet UIImageView *albumImageView;
@property (weak, nonatomic) IBOutlet UILabel *artistLabel;
@property (weak, nonatomic) IBOutlet UILabel *songLabel;
@property (weak, nonatomic) IBOutlet UIToolbar *controlToolbar;

@property (strong, nonatomic) MPMediaItemCollection *songQueue;
@property (strong, nonatomic) UIWindow *externalWindow;
@property (strong, nonatomic) IAExternalViewController *externalView;

@end
