//
//  IANewTaskViewController.m
//  Tasks
//
//  Created by Brendan G. Lim
//  Copyright (c) 2013 iOS in Action. All rights reserved.
//

#import "IAViewController.h"
#import "IANewTaskViewController.h"

@interface IANewTaskViewController ()

@end

@implementation IANewTaskViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)saveTask:(id)sender
{
    if ([self.textField.text length] == 0)
        return;
    
    IAViewController *tasksListView = (IAViewController *)self.delegate;
    [tasksListView.tasks addObject:self.textField.text];
    
    [self close:sender];
}

- (IBAction)close:(id)sender
{
    [self dismissViewControllerAnimated:YES completion:nil];
}


@end
