//
//  IAStreamViewController.h
//  TweetBook
//
//  Created by Brendan G. Lim on 11/19/12.
//  Copyright (c) 2012 Brendan Lim. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <Social/Social.h>
#import <Accounts/Accounts.h>

@interface IAStreamViewController : UIViewController <UITableViewDataSource, UITableViewDelegate>

@property (weak, nonatomic) IBOutlet UITableView *tableView;
@property (strong, nonatomic) ACAccount *account;
@property (strong, nonatomic) NSMutableArray *updates;

- (IBAction)postToStream:(id)sender;

@end
