//
//  IAExternalViewController.h
//  AirMusic
//
//  Created by Brendan G. Lim on 9/5/13.
//  Copyright (c) 2013 iOS in Action. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MediaPlayer/MediaPlayer.h>

@interface IAExternalViewController : UIViewController

@property (strong, nonatomic) UIImageView *albumImageView;
@property (strong, nonatomic) UILabel *artistLabel;
@property (strong, nonatomic) UILabel *songLabel;

@property (assign, nonatomic) CGRect windowFrame;
@property (strong, nonatomic) MPMediaItemCollection *songQueue;

- (id)initWithWindowFrame:(CGRect)windowFrame withSongQueue:(MPMediaItemCollection *)songQueue;
- (void)populateViewsWithSongQueue;

@end
