//
//  IAHTTPCommunication.h
//  Retrieve and Send Remote Data
//
//  Created by Martín Conte Mac Donell on 5/11/13.
//

#import <Foundation/Foundation.h>

@interface IAHTTPCommunication : NSObject <NSURLSessionDownloadDelegate> 

- (void)retreiveURL:(NSURL *)url successBlock:(void (^)(NSData *))successBlock;
- (void)postURL:(NSURL *)url params:(NSDictionary *)params successBlock:(void (^)(NSData *))successBlock;

@end
