//
//  IAWebViewController.m
//  TweetRate
//
//  Created by Martín Conte Mac Donell on 5/24/13.
//

#import "IAWebViewController.h"

@interface IAWebViewController ()

@property (nonatomic, weak) IBOutlet UIWebView *webView;

@end

@implementation IAWebViewController

- (void)viewDidLoad
{
    [super viewDidLoad];

    NSURLRequest *request = [NSURLRequest requestWithURL:self.URL];
    [self.webView loadRequest:request];
}

- (IBAction)back:(id)sender
{
    [self.webView goBack];
}

- (IBAction)forward:(id)sender
{
    [self.webView goForward];
}

- (IBAction)close:(id)sender
{
    [self dismissViewControllerAnimated:YES completion:nil];
}

@end
