//
//  IAAssetInfoViewController.h
//  Media Info
//
//  Created by Brendan G. Lim on 6/2/13.
//  Copyright (c) 2013 iOS in Action. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <AssetsLibrary/AssetsLibrary.h>

@interface IAAssetInfoViewController : UIViewController <UITableViewDataSource, UITableViewDelegate>

@property (nonatomic, strong) NSURL *assetURL;
@property (nonatomic, weak) IBOutlet UIImageView *imageView;
@property (nonatomic, weak) IBOutlet UITableView *tableView;
@property (nonatomic, strong) ALAsset *asset;
@property (nonatomic, strong) NSMutableArray *metadata;

@end
